package com.ruoyi.project.VRdemo.domain;

import java.util.Date;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * press对象 vr_press
 * 
 * @author ruoyi
 * @date 2024-01-19
 */
public class Press extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增id */
    @ExcelIgnore
    private Long pressId;

    /** 题目 */
    @ExcelProperty("题目")
    private String title;

    /** 作者 */
    @ExcelProperty("作者")
    private String author;

    /** 刊名 */
    @ExcelProperty("刊名")
    private String pressTitle;

    /** 刊期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ExcelProperty("刊期")
    private Date issue;

    /** 起止页 */
    @ExcelProperty("起止页")
    private String pages;

    /** 关键词 */
    @ExcelProperty("关键词")
    private String keyword;

    /** 分类 */
    @ExcelProperty("分类")
    private String classify;

    /** 地区 */
    @ExcelProperty("地区")
    private String area;

    public void setPressId(Long pressId) 
    {
        this.pressId = pressId;
    }

    public Long getPressId() 
    {
        return pressId;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setAuthor(String author) 
    {
        this.author = author;
    }

    public String getAuthor() 
    {
        return author;
    }
    public void setPressTitle(String pressTitle) 
    {
        this.pressTitle = pressTitle;
    }

    public String getPressTitle() 
    {
        return pressTitle;
    }
    public void setIssue(Date issue) 
    {
        this.issue = issue;
    }

    public Date getIssue() 
    {
        return issue;
    }
    public void setPages(String pages) 
    {
        this.pages = pages;
    }

    public String getPages() 
    {
        return pages;
    }
    public void setKeyword(String keyword) 
    {
        this.keyword = keyword;
    }

    public String getKeyword() 
    {
        return keyword;
    }
    public void setClassify(String classify) 
    {
        this.classify = classify;
    }

    public String getClassify() 
    {
        return classify;
    }
    public void setArea(String area) 
    {
        this.area = area;
    }

    public String getArea() 
    {
        return area;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("pressId", getPressId())
            .append("title", getTitle())
            .append("author", getAuthor())
            .append("pressTitle", getPressTitle())
            .append("issue", getIssue())
            .append("pages", getPages())
            .append("keyword", getKeyword())
            .append("classify", getClassify())
            .append("area", getArea())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
