package com.ruoyi.project.VRdemo.service;

import java.util.List;
import com.ruoyi.project.VRdemo.domain.Press;
import com.ruoyi.project.VRdemo.domain.StudyImData;
import org.springframework.transaction.annotation.Isolation;
import org.springframework.transaction.annotation.Transactional;

/**
 * pressService接口
 * 
 * @author ruoyi
 * @date 2024-01-19
 */
public interface IPressService 
{
    /**
     * 查询press
     * 
     * @param pressId press主键
     * @return press
     */
    public Press selectPressByPressId(Long pressId);

    /**
     * 查询press列表
     * 
     * @param press press
     * @return press集合
     */
    public List<Press> selectPressList(Press press);

    /**
     * 新增press
     * 
     * @param press press
     * @return 结果
     */
    public int insertPress(Press press);

    /**
     * 修改press
     * 
     * @param press press
     * @return 结果
     */
    public int updatePress(Press press);

    /**
     * 批量删除press
     * 
     * @param pressIds 需要删除的press主键集合
     * @return 结果
     */
    public int deletePressByPressIds(Long[] pressIds);

    /**
     * 删除press信息
     * 
     * @param pressId press主键
     * @return 结果
     */
    public int deletePressByPressId(Long pressId);

    //EasyExcel批量导入
    @Transactional(isolation = Isolation.READ_COMMITTED)
    String importPress(List<Press> studyList, Boolean updateSupport);
}
